using System;

namespace MyNamespace
{
	/// <summary>
	///   Calculation routines for JosephusCS program
	///   
	///   JosephusCS - The Flavius Josephus Permutation Program
	///   Developed in TURBO Pascal 4.0 10/30/88
	///   Converted to TURBO Pascal 5.5 and 6.0, now in Visual C# .Net
	///   COPYRIGHT (c) 1981-2008 By author: Harry J Smith, Saratoga, CA
	///
	/// ---------------- *** LEGAL NOTICE: *** ------------------
	///
	/// This program is free software; you can redistribute it and/or modify
	/// it under the terms of the GNU General Public License (GPL) as published
	/// by the Free Software Foundation. cf. the file COPYING.txt.
	///
	/// ------------ *** end of legal notice *** ------------------
	/// </summary>

	public class JosephusCS
	{
		public JosephusCS(int maxN, int numberN, int firstF, int skipM, int maxP)
		// JosephusCS constructor logic
		{
			PlotForm.maxN = maxN;
			PlotForm.a = new int[maxN + 1];
			PlotForm.b = new int[maxN + 1];
			PlotForm.n = numberN;
			PlotForm.f = firstF;
			PlotForm.m = skipM;
			PlotForm.maxP = maxP;
			PlotForm.nP = 0;
			PlotForm.fP = 0;
			PlotForm.mP = 0;
			int maxS = 10;
			PlotForm.maxS = maxS;			// Up to MaxS saved fixed elements
			PlotForm.x = new int[maxS + 1];	// Saved fixed elements
		}
	}
}
